This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017486 - systemd-multi-seat-x breaks non-standard Xorg installations
systemd-multi-seat-x breaks non-standard Xorg installations
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 22:38 EDT by Bob Gleitsmann
Modified: 2015-02-17 12:36 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:36:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gleitsmann 2013-10-09 22:38:38 EDT
Description of problem:
Non-standard Xorg server location indicated in e.g. kdmrc as ServerCmd is passed to systemd-multi-seat-x but the standard /usr/bin/X is actually run.

Version-Release number of selected component (if applicable):
systemd-204-15.fc19.x86_64, systemd-204-16.fc19.x86_64, systemd-204-11.fc19.x86_64.

How reproducible:
Completely

Steps to Reproduce:
1.Test on machine with Xorg in non-standard location
2.Set ServerCmc=<Xorg bin file>
3.Reboot or maybe restart kdm.

Actual results:
non-standard located Xorg server is ignored, /usr/bin/X is run instead.

Expected results:
Xorg in non-standard location specified in kdmrc ServerCmd should run.

Additional info:
Removing systemd-multi-seat-x from /lib/systemd restores proper operation. However, updates to systemd rpm restore systemd-multi-seat-x to /lib/systemd.
Comment 1 Lennart Poettering 2013-12-12 20:59:24 EST
Seems kdm doesn't honour its own configuration. systemd has no business with kdm configuration settings. Reassigning.
Comment 2 Fedora End Of Life 2015-01-09 15:11:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:36:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.